Subject: Re: bug#30955: 27.0.50; Mouse clicks on header-line in Info are broken

From: Colin Baxter <[email-masked]>
Date: Sat, 31 Mar 2018 19:56:30 +0100

>>>>> Eli Zaretskii <[email-masked]> writes:

    >> From: Stefan Monnier <[email-masked]> Cc:
    >> [email-masked], [email-masked] Date: Thu, 29 Mar 2018
    >> 09:11:41 -0400
    >> 
    >> >> There's indeed a bug, here, which is that it says
    >> >> 
    >> >> (translated from <mouse-2>)
    >> >> 
    >> >> instead of
    >> >> 
    >> >> (translated from <mouse-1>)
    >> >> 
    >> >> I assume it's because the fix I installed modifies the event
    >> in-place, >> so the recording of "untranslated events" gets
    >> changed by side-effect.
    >> >
    >> > I don't think so: I saw the mouse-2 part even before you fixed
    >> the > problem.
    >> 
    >> Maybe you've seen it with yet-older code, such as the one in the
    >> emacs-26 branch (in that code, the mouse-1 => mouse-2 remapping
    >> was done elsewhere (i.e. as part of the processing of
    >> down-mouse-1) so read_key_sequence never even saw the mouse-1
    >> event to put it into the raw_keybuf)?
    >> 
    >> > So I think it's something else at work.
    >> 
    >> Yet the second hunk below does fix this problem (the first hunk
    >> fixes the same problem but for C-h l, and the third just removes
    >> code which does something wrong, and I have no idea why the code
    >> was there in the first place).

    > AFAICT, this patch is now installed on master, but I still see the
    > same issue: "C-h c" reports mouse-2 whereas I click mouse-1.  Was
    > this issue supposed to be resolved, and if so, what am I missing?

For me, C-h c gives mouse-1 for the left-hand button (mouse 1) and
mouse-3 for the right-hand button (mouse 3).

Best wishes,

Colin.